"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Badge = void 0;
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_utils_1 = require("./style-utils");
var text_1 = __importDefault(require("./text"));
var Badge = function (_a) {
    var _b = _a.variant, variant = _b === void 0 ? 'dot' : _b, _c = _a.dotPosition, dotPosition = _c === void 0 ? 'absolute top-0 right-0' : _c, _d = _a.count, count = _d === void 0 ? 1 : _d, _e = _a.color, color = _e === void 0 ? 'emerald-500' : _e, _f = _a.size, size = _f === void 0 ? 'medium' : _f;
    var variantNewTypeSize = {
        medium: 'w-[20px] h-[20px]',
        small: 'w-[16px] h-[16px]',
    };
    var newBadgePosition = size === 'small' ? 'mt-[-2px] ml-[-8px]' : 'mt-[-10px] mr-[-10px]';
    if (variant === 'dot') {
        return (<react_native_1.View className={"".concat(dotPosition, " mt-[-2px] mr-[-2px] w-[4px] h-[4px] rounded-full")} style={{ backgroundColor: (0, style_utils_1.getColor)(color) }}/>);
    }
    if (variant === 'new') {
        return (<react_native_1.View className={"".concat(variantNewTypeSize[size], " ").concat(newBadgePosition, " ").concat(dotPosition, " bg-blue-500 rounded-full justify-center items-center")}>
        <text_1.default face={'caption'} weight={'semibold'} size={size === 'medium' ? 'medium' : 'small'} textColor={'white'}>
          N
        </text_1.default>
      </react_native_1.View>);
    }
};
exports.Badge = Badge;
//# sourceMappingURL=badge.js.map